# evennia.contrib.full_systems.evscaperoom.menu

Start menu

This is started from the evscaperoom command.

Here player user can set their own description as well as select to create a new room (to start from scratch) or join an existing room (with other players).

`evennia.contrib.full_systems.evscaperoom.menu.``node_set_desc`(caller, raw_string, **kwargs)

`evennia.contrib.full_systems.evscaperoom.menu.``node_create_room`(caller, raw_string, **kwargs)

`evennia.contrib.full_systems.evscaperoom.menu.``node_join_room`(caller, raw_string, **kwargs)

`evennia.contrib.full_systems.evscaperoom.menu.``node_quit`(caller, raw_string, **kwargs)

class `evennia.contrib.full_systems.evscaperoom.menu.``EvscaperoomMenu`(caller, menudata, startnode='start', cmdset_mergetype='Replace', cmdset_priority=1, auto_quit=True, auto_look=True, auto_help=True, cmd_on_exit='look', persistent=False, startnode_input='', session=None, debug=False, **kwargs)

  Bases: `evennia.utils.evmenu.EvMenu`

  Custom menu with a different formatting of options.

  `node_border_char` = '~'
  `nodetext_formatter`(text)

    Format the node text itself.

    Parameters

      nodetext (str) – The full node text (the text describing the node).

    Returns

      nodetext (str) – The formatted node text.

  `options_formatter`(optionlist)

    Formats the option block.

    Parameters

      optionlist (list) – List of (key, description) tuples for every option related to this node.

    Returns

      options (str) – The formatted option display.

`evennia.contrib.full_systems.evscaperoom.menu.``run_evscaperoom_menu`(caller)

  Run room selection menu

`evennia.contrib.full_systems.evscaperoom.menu.``node_options`(caller, raw_string, **kwargs)

class `evennia.contrib.full_systems.evscaperoom.menu.``OptionsMenu`(caller, menudata, startnode='start', cmdset_mergetype='Replace', cmdset_priority=1, auto_quit=True, auto_look=True, auto_help=True, cmd_on_exit='look', persistent=False, startnode_input='', session=None, debug=False, **kwargs)

  Bases: `evennia.utils.evmenu.EvMenu`

  Custom display of Option menu

  `node_formatter`(nodetext, optionstext)

    Formats the entirety of the node.

    Parameters

      - nodetext (str) – The node text as returned by self.nodetext_formatter.

      - optionstext (str) – The options display as returned by self.options_formatter.

      - caller (Object, Account or None, optional) – The caller of the node.

    Returns

      node (str) – The formatted node to display.

`evennia.contrib.full_systems.evscaperoom.menu.``run_option_menu`(caller, session)

  Run option menu in-game